import request from '@/utils/request'


export function getPortalList(query) {
  return request({
    url: '/portal/portal/getPortalConfigList',
    method: 'get',
    params: query
  })
}

export function getPortalConfigTypeList(query) {
  return request({
    url: '/portal/portal/getPortalConfigTypeList',
    method: 'get',
    params: query
  })
}

export function getHomeCaseTitleList(query) {
  return request({
    url: '/portal/portal/getHomeCaseTitleList',
    method: 'get',
    params: query
  })
}

export function getTypicalHomeCaseInfo(query) {
  return request({
    url: '/portal/portal/getTypicalHomeCaseInfo',
    method: 'get',
    params: query
  })
}

export function addContactUsInfo(query) {
  return request({
    url: '/portal/portal/addContactUsInfo',
    method: 'post',
    data: query
  })
}
export function getCaseCenterCaseInfo(query) {
  return request({
    url: '/portal/portal/getCaseCenterCaseInfo/'+query,
    method: 'get',
    data: query
  })
}
